-- GetTs3Data.lua by Egaltech s.r.l. 2022/04/07
-- Recupero dati da file Ts3Data.lua di macchina

-- Intestazioni
require( 'EgtBase')
_ENV = EgtProtectGlobal()
EgtEnableDebug( false)

-- Per test
--GTSD = {}
--GTSD.TS3PATH = 'Essetre-FAST\\Ts3Data.lua'

local sLog = 'GetTs3Data : ' .. GTSD.TS3PATH
EgtOutLog( sLog)

if EgtExistsFile( GTSD.TS3PATH) then
   local Machine = dofile( GTSD.TS3PATH)
   -- Assegno valori di interesse
   Offsets = Machine.Offsets
   _G.Offsets = Offsets
   Trave = Machine.Trave
   _G.Trave = Trave
   User = Machine.User
   _G.User = User
end

-- Tutto ok
GTSD.ERR = 0

EgtOutLog( ' +++ GetTs3Data completed')
